org.apache.juli

## Interface WebappProperties

- All Known Implementing Classes:
    ParallelWebappClassLoader, WebappClassLoader, WebappClassLoaderBase

      public interface WebappProperties

  An interface intended for use by class loaders associated with a web application that enables them to provide additional information to JULI about the web application with which they are associated. For any web application the combination of `getWebappName()`, `getHostName()` and `getServiceName()` must be unique.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHostName()` Returns a name for the logging system to use for the Host where the web application, if any, associated with the class loader is deployed.
    `String` | `getServiceName()` Returns a name for the logging system to use for the Service where the Host, if any, associated with the class loader is deployed.
    `String` | `getWebappName()` Returns a name for the logging system to use for the web application, if any, associated with the class loader.

- - ### Method Detail

    - #### getWebappName

          String getWebappName()

      Returns a name for the logging system to use for the web application, if any, associated with the class loader.
      Returns:
        The name to use for the web application or null if none is available.

    - #### getHostName

          String getHostName()

      Returns a name for the logging system to use for the Host where the web application, if any, associated with the class loader is deployed.
      Returns:
        The name to use for the Host where the web application is deployed or null if none is available.

    - #### getServiceName

          String getServiceName()

      Returns a name for the logging system to use for the Service where the Host, if any, associated with the class loader is deployed.
      Returns:
        The name to use for the Service where the Host is deployed or null if none is available.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.